Subject: Re: [PATCH net-next 0/2] ice: support FEC automatic disable

From: Jakub Kicinski <[email-masked]>
Date: Thu, 25 Aug 2022 09:29:57 -0700

On Thu, 25 Aug 2022 10:08:05 +0300 Gal Pressman wrote:
> Then maybe adding a new flag is the right thing to do here.
> 
> That way the existing auto mode will keep its current meaning (all modes
> including off), which you'll be able to support on newer firmware
> versions, and the new auto flag (all modes excluding off) will be
> supported on all firmware versions.
> Then maybe we can even add support for the new flag in mlx5 (I need to
> check whether that's feasible with our hardware).

Sorry, I misinterpreted your previous reply, somehow I thought you
quoted option (3), because my fallible reading of mlx5 was that it
accepts multiple flags.

(First) option 2 is fine.

Do you happen to have a link to what SONiC defined?
We really need to establish some expectations before we start extending
the API. Naively I thought the IEEE spec was more prescriptive :(